% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************

\chapter{Tests and On-field Results}
\label{ch:results}

% ********************** Define Graphics Path ********************
\graphicspath{{Chapter8/Figures}}
    
After the presentation of the \ac{CAPS.loc} framework in Chapter \ref{ch:proofOfConcept}, its feasibility and effectiveness are discussed in this chapter through the analysis of preliminary experimental results. For the sake of conciceness, low-level details about raw measurements quality investigation ($C/N_0$, multipath detection, etc.) are omitted to better focus on the investigation of positioning solution at the application layer. Therefore, the chapter includes two main investigations: a preliminary discussion is provided in Section \ref{sec:offline} concerning the off-line combination of smartphones raw pseudorange measurements, as presented in \cite{gogoiVTC2019} to experimentally assess the feasibility of the proposed collaborative ranging approach. A further analysis, presented in Section \ref{sec:capsResults}, collects a set of on-field experiments performed through the \ac{CAPS.loc} framework. The \ac{CAPS.loc} has been conceived for urban applications, therefore the most of the tests reported afterwards addresses urban and mild-urban environment for pedestrian and vehicular use cases. In order to clarify to the reader the features of each experiment and of the different investigated scenarios, a classification based on the dynamics of the agents is detailed in Section \ref{subsec:testscenarios}. In Section \ref{subsec:metrics} the performance metrics are formalized to provide quantitative results about the feasibility of the approach, its availability and the accuracy of the cooperative solution when \ac{CP} was available and profitable. Four significant experiments are analysed in detail in Section \ref{sec:results_detail}. Within the same section, the performance metrics of the overall test campaign are summarized and commented to provide a general picture of the technology. 
This preliminary test campaign was oriented to the feasibility assessment and an overall understanding of the real potential of the \ac{CAPS.loc} framework, but a set of optimization strategies is left to the further works (future releases of the framework) and they are reported in the final remarks, in Section \ref{sec:furtherworks}. 


\section{Offline asynchronous measurements combination}
\label{sec:offline}
By relying on the log of the raw measurements observed by two devices we first tested an off-line combination according to the weighted \ac{DD} ranging method introduced in Chapter \ref{ch:rangingAlgorithms}. Instead of using a remote server for the exchange of raw measurements as implemented in the \ac{CAPS.loc}, a single-hop Wi-Fi 802.11g connection was establish among the device through a Android-based \ac{ROS} framework [REF]. By means of this approach, the network contributions in terms of additional communication delay due to further hops is totally avoided. However, the measurements epochs were still asynchronous due to the independent processing of the devices. 



%\subsection{Timestamps Difference of Measurements Epochs}

As presented in Chapter \ref{ch:rangingAlgorithms}, pseudorange rate or equivalently Doppler shift measurements was used to compensate for asynchronous measurements epochs. Therefore, an effective implementation of this method depends on the goodness of the timestamps which are attributed to the sets of data by the devices. The accuracy of the timestamps are indeed related to the stability of their internal clocks. 
The analysis provided in the following has been published in the proceedings of VTC Fall 2019 (Honolulu, USA) within the workshop "Reliable Ubiquitous Navigation in Smart Cities". The conference contribution \cite{gogoiVTC2019} is recalled as an introductory analysis to justify the implementation details of the \ac{CAPS.loc} framework and the results which will be presented in the next sections of this chapter.

\subsection{Baseline length estimation through Android GNSS raw measurements}

BY dealing with real low-quality code pseudorange measurements from Android smartphones, the implementation of \ac{DD} ranging provided the best solution to cope with correlated errors in the measurements sets, at least considering two devices in close proximity. %Indeed, the availability of a set of shared satellites allows the estimation of the baseline length through a \ac{LMS} approach which generally provides better performance. 

In the following, the results of two basic off-line tests are presented to support the implementation of \ac{GNSS} differential ranging in the \ac{PoC}. 

%\subsubsection{Software receiver Zero-baseline test}
%
%A zero-baseline test was performed to analyse the ranging error provided through \ac{DD} method. Figure \ref{fig:staticIFENSim2} shows the higher bias and variance affecting the baseline length measurements obtained through asynchronous pseudorange combination. By applying a weighting strategy based on the measured uncertainty of the pseudorange sets, the standard deviation reduces from \SI{3.61}{\metre} to \SI{2.32}{\meter} while the bias is considerably compensated from \SI{32.22}{\meter} to \SI{4.38}{\meter}, thus reducing the mean error of \SI{27.84}{\meter}.
%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.8\columnwidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{/VTC/staticIFENSim2.eps}
%\caption{{\small Range bias compensation in DDR between two static receivers by means of raw Doppler measurements with simulated GNSS signals (no multipath, 6 GPS satellites).}}
%\label{fig:staticIFENSim2}
%\end{figure} 
%
%Despite of the use of a high-end antenna, a \ac{USRP} N210 and the consequent quality of the measurements obtained, it is evident that time compensation is fundamental to retrieve accurate and precise inter-agent distances.  

\subsubsection{Static non-zero-baseline test}

A 10-minute static datasets were collected in the Campus of the Politecnico Di Torino (approximately 45.062099$^\circ$ N, 7.663334$^\circ$ E), Torino, Italy, with two Xiaomi Mi 8 devices located with a separation of \SI{20}{\meter}, on the 22nd of February 2019 in a sub-urban environment with moderate sk visibility. Android raw measurements were collected through a IEEE 802.11x Wi-Fi connection and processed through an internal version of the open source MATLAB \texttt{gps-measurement-tools} software \cite{gCoGnss}. The Xiaomi Mi 8 offers the option to turn off the \textit{duty cycle} of the device through its developer mode and that was an added consideration during the data collection. Duty cycle is a power saving function of most smart devices where commonly, the hardware clock is switched off for a fraction of every second resulting mainly in carrier phase tracking discontinuity \cite{gsa2018using}. Although multi-frequency, multi-constellation measurements were recorded, only \ac{GPS} L1 signal measurements were processed for initial validation. The use of \ac{GPS} only does not imply a lack of generality since the same procedure can be applied to the other constellations or different multi-constellation solution can be developed for an improved baseline estimation. Furthermore,  multi-constellation implementation is also possible once the user clock
bias with respect to each constellation has been removed (i.e. a solution has been obtained).

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{/VTC/satellitesunfilteredplot.eps}
\caption{{\small \SI{20}{\meter} baseline test with \ac{DDR} and \ac{APD} comparison. \ac{GDOP}$=2.0$ }}
\label{fig:unfiltered}
\end{figure} 

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{/VTC/satellitesfilteredplot.eps}
\caption{{\small \SI{20}{\meter} baseline test with DDR, W-DDR and \ac{APD} comparison. \ac{GDOP}$=2.5$, increased by filtering bad measurements}}
\label{fig:filtered}
\end{figure} 

The unreliable quality of smartphone raw measurements is a hindrance due to poor antenna performance, hence a runtime satellite filtering strategy as well as a weighted solution was adapted based on the parameter \texttt{ReceivedSvTimeUncertaintyNanos} \cite{developerandroid}.  Three different ranging strategies between the devices were compared; \ac{DDR} and \ac{W-DDR} (both Doppler compensated) and the \ac{APD} calculated after standalone-\ac{PVT} solution computation of the receivers individually. For the standalone solution, some satellites were excluded for a fair comparison with the filtering strategy.

Figure \ref{fig:unfiltered} shows the basic comparison of the ranges without taking into consideration the quality of the pseudoranges and it is seen that both the ranges are noisy with the \ac{APD} being slightly better. On filtering out poor measurements,a significant improvement to the DDR and \ac{W-DDR} ranges is seen in Figure \ref{fig:filtered} and it is on average better than the simplistic \ac{APD}, barring a few outliers which the weighted solution fails to take account of. The mean \ac{GDOP} value was around $2$ and $2.5$ before and after filtering respectively. This observation is consistent with the other dataset measurements and in dataset 3 (5-minute observation), the improvement in the mean error is 4-5 times higher. Table \ref{tab:offline} presents a comparison of the quality of the GNSS-based ranges in the different datasets with respect to the standard deviation, $\sigma$, and mean error, $\mu$). There is still a significant bias and noise present in the measurements due to the uncorrelated noise being quadrupled after double differencing, as shown in \cite{de2013zero}, but this relatively superior range output produced taking advantage of Android raw measurements only without the PVT computational burden confirms the potential of cooperation among Android smartphones.

\begin{table}[]\centering
\begin{small}
\begin{tabular}{c|c|c|c|c}
\toprule
\toprule
%\multirow{2}{*}{\begin{tabular}[c]{@{}c@{}}\textbf{Test with two} \\ %\textbf{Xiaomi Mi-8 devices} \end{tabular}} &                           & %\multicolumn{3}{l}{\textbf{600 s interval}}  \\
 &                           & \textbf{APD} & \textbf{DDR}  & \textbf{W-DDR}                    \\
\midrule  
\midrule                                                                                              
                                                                                       \multirow{2}{*}{Dataset 1}                                                                    & $\sigma$ (m) & 19.4  & 12.2 & 12.1                     \\\cmidrule(lr{1em}){2-5}
                                                                                              & $\mu$ (m)    & 10.5  & 9.9  & 7.6                      \\\midrule
\multirow{2}{*}{Dataset 2}                                                                    & $\sigma$ (m) & 9.5   & 8.7  & 8.6                      \\ \cmidrule(lr{1em}){2-5} 
                                                                                              & $\mu$ (m)    & 8.4   & 5.4  & 5.4                      \\\midrule
\multirow{2}{*}{Dataset 3}                                                                    & $\sigma$ (m) & 18.2  & 10.4 & 10.2                     \\ \cmidrule(lr{1em}){2-5} 
                                                                                              & $\mu$ (m)    & 24.7  & 6.3  & 5.8\\
                                                                                               \bottomrule               
\end{tabular}
\end{small}
\caption{Test with two Comparison of the quality of time-compensated GNSS-based ranges with different optimizations}
\label{tab:offline}
\end{table}


\section{Real-time CAPS.loc experiments}
\label{sec:capsResults}

This section describes the methodology and the metrics used during the preliminary test campaign of the \ac{CAPS.loc} framework developed within the HANSEL project. An high-level functional scheme of the system is reported in Figure \ref{fig:smarpthoneExpScheme}.

\begin{figure}[h!]
\centering
\includegraphics[width=0.7\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/SimpleScheme_experiment.png}
\caption{{\small Experiment setup exploiting 4G connectivity and \ac{CPS} on a remote server (Amazon Web Service).}}
\label{fig:smarpthoneExpScheme}
\end{figure}

Differently from the off-line analysis presented in Section \ref{sec:offline}, in this case all the tasks were executed runtime according to the setup described hereafter in Section \ref{sub:setup}.

\subsection{Setup}
\label{sub:setup}

All the tests were performed addressing different static and dynamic scenarios to verify and assess feasibility and effectiveness of \ac{CP} through the interaction of two Xiaomi Mi 8 Pro running independent instances of the \ac{CPA}. \ac{GNSS} capabilities of both the smartphones were limited to single constellation (\ac{GPS}) and single frequency (L1) positioning computation by further limiting the number of visible satellites to emulate poor sky visibility, if necessary. The devices were handled by two operators walking or driving vehicles according to the designed test scenarios. The multiplicative weight described in Chapter \ref{ch:proofOfConcept} was used as a \ac{EKF} design parameter to reduce the impact of the \ac{GNSS} measurements in the position estimation algorithm for both collaborative and standalone solutions. 

This preliminary testing phase addressed the peer-to-peer cooperation with ultra-short, short and moderate baseline conditions. Being independently from the behaviour of the other agent, both the smartphones tried to improve their accuracy by exploiting \ac{GNSS} raw measurements and coarse fixes shared by the others, thus acting simultaneously as aiding and aided agents.

The two smartphones, referred hereafter as agent \texttt{SM01} and agent \texttt{SM02}, were indeed configured in order to continuously exchange \ac{GNSS} data by exploiting 4G data connectivity and a general-purpose remote server hosting the \ac{CPS}. Each device was hence able to compute collaborative inter-agent measurements independently by combining external and local pseudorange measurements independently. Such an operational mode was helpful to observe both benefits and disadvantages of the proposed integration by identifying timespans in which \ac{CP} was actually effective and other timespans in which it induced degradation of the positioning solution. Given that such a \textit{peer-to-peer continuous mode} could degrade the positioning performance, such a solution turned to be fundamental to the understanding of the paradigm although it must be considered not meaningful for a real deployment of such a technology. Indeed, it is trivial to inhibit \ac{CP} when a-priori conditions suggest a potentially degraded performance.



Similar or different paths were travelled by the operators holding the devices as shown in the example of Figure \ref{fig:exampleCAPS-loc} and different effects were hence observed for each smartphone. 

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/example_differentProfitability.eps}
\caption{{\small Example of pedestrian urban paths with different profitability of the paradigm (greed dots indicate profitable integration). The cross marker indicates the origin of the local EN frame.}}
\label{fig:exampleCAPS-loc}
\end{figure}

All the positioning data were sent to the \ac{CPS} and logged locally in form of \ac{ECEF} and \ac{LLA} positioning solution. Both cooperative and standalone solutions were then compared to the reference location foreseen by the Google Fused Location Provider, according to the metric defined in \ref{subsec:metrics}.

\subsection{Performance metrics}
\label{subsec:metrics}

A set of performance metrics are defined hereafter to evaluate the benefits of \ac{GNSS}-based \ac{CP} within the on-field tests of the \ac{CAPS.loc} framework. 


 
%
%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/example_differentProfitability.eps}
%\caption{{\small Example of pedestrian urban paths with different profitability of the paradigm (greed dots indicate profitable integration). The cross marker indicates the origin of the local E-N frame.}}
%\label{fig:exampleCAPS-loc}
%\end{figure}

\begin{itemize}
\item \textbf{CPS availability}, $\mathcal{A}_{\text{CP}}$: It measures the availability of the cooperative service for a given agent by assessing the possibility of computing a hybrid positioning solution. It is an indirect indicator of the of the network status and the overall availability of raw measurements provided by registered aiding agents. It formally counts the ratio between the number of \ac{CP} fixes, $N_{\text{CP}}$, and the overall number of available \ac{GNSS} standalone fixes, $N_{\text{SA}}$ 

\begin{equation}
\label{eq:cpAvail}
\mathcal{A}_{\text{CP}}=\frac{N_{\text{CP}}}{N_{\text{SA}}}100.
\end{equation}

\end{itemize}


Even considering a full availability of the service, $\mathcal{A}_{\text{CP}}=100$, as known from the theoretical analysis presented in Chapter \ref{ch:theoreticalResults}, \ac{GNSS}-based \ac{CP} could be profitable or unprofitable according to the quality of the collaborative measurements and to the combined relative geometry of visible satellites and aiding agents. To asses the advantages of the proposed technique, the following key metrics have been defined to quantify the accuracy of the positioning solutions. %Intuitively, when a pairwise cooperation between two agents is considered, the \ac{CP} is beneficial whenever one of the receivers experiences worst positioning performance while the other is capable to provide good auxiliary measurements (and more precise positioning solutions). 

Statistically speaking, \ac{RMS} error is typically used to evaluate the positioning error but in real experiments we deal with one positioning sample per each epoch, $t_k$. Therefore, the positioning error can be evaluated as the Euclidean distance of the estimated position from the ground truth in 3-D

\begin{equation}
\label{eq:3DpositionError}
\xi_{\text{3-D}}(t_k) = \sqrt{(\Delta E^2(t_k) + \Delta N^2(t_k) + \Delta U^2(t_k))}
\end{equation}

and in 2-D

\begin{equation}
\label{eq:2DpositionError}
\xi_{\text{2-D}}(t_k) = \sqrt{(\Delta E^2(t_k) + \Delta N^2(t_k))}
\end{equation}

where the squared terms in \eqref{eq:2DpositionError} and \eqref{eq:3DpositionError} are the difference of each component in a \ac{ENU} reference frame \cite{van1998innovation,misra2006global}. It is helpful to recall that \ac{ENU} coordinates are obtained from linear transformation of \ac{ECEF} coordinates (refer to Appendix \ref{appendix:referenceFrame} for details on reference frames) so that \eqref{eq:3DpositionError} can be equivalently computed in \ac{ECEF}. The ground truth is provided in this case by the Google Fused Location Provider according to its higher accuracy due to inertial sensors integration. For the sake of simplicity, the errors will be always referred to as $\xi_{\text{SA}}$ and $\xi_{\text{CP}}$ for standalone and \ac{CP} solutions, respectively. Separate metrics for 3-D and 2-D will be then clearly distinguished in tables and figures reported in Section \ref{sec:results_detail}.

\begin{itemize}

\item \textbf{\ac{CP} profitability} (2-D,3-D), $\mathcal{P}_{\text{CP}}(\%)$: It indicates the percentage of \ac{CP} fixes in which \ac{CP} error is lower than standalone positioning error (i.e. \ac{GPS}-only), formally 

\begin{equation}
\label{eq:Profit}
\mathcal{P}_{\text{CP}}(\%)=\frac{\sum_{k=1}^{k=N_{\text{CP}}} p(t_k) }{N_{\text{CP}}} 
\end{equation}

where $p(t_k)$ assumes boolean values according to the following conditions


\[   \left\{
\begin{array}{ll}
      p(t_k)=0 & \xi_{\text{SA}}(t_k)-\xi_{\text{CP}}(t_k)<0-T_{H} \\
      p(t_k)=1 & \xi_{\text{SA}}(t_k)-\xi_{\text{CP}}(t_k)>0+T_{H} \\
\end{array} 
\right. \]

where $T_{H}$ is a threshold used to perform a conservative classification of profitable/unprofitable epochs. A further conditions defined according to $T_H$ and named \textit{hysteresis}, identifies a region of non-significant improvement/worsening in accuracy, as shown in Figure \ref{fig:threshold}. 

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/profitThreshold_3.png}
\caption{{\small Classification of profitability according to the hysteresis threshold $T_{H}$}}
\label{fig:threshold}
\end{figure}

\item \textbf{CP hysteresis}, $\mathcal{H}_{\text{CP}}(\%)$: It counts all the epochs $t_k$ in which $|\xi_{\text{SA}}(t_k)-\xi_{\text{CP}}(t_k)|<T_H$, as depicted in \ref{fig:threshold}.


 
%\mathcal{P}_{\text{CP}}$ and shows the percentage of fix in which \ac{CP} induces a higher positioning error w.r.t. the GNSS standalone solution. \\

\textit{Profitability} and \textit{hysteresis} of an experiment can be seen through the pie charts of Figure \ref{fig:04102019_ex03_piechart} which provide a direct view of the benefits of the \ac{CP} for each device and for the whole duration of the experiments. As shown in this experimental example, the remaining percentage identifies the unprofitable amount of epochs which reveals degrading effects of the \ac{CP} over the positioning computation. Nevertheless, it is worth remarking that this percentage highlights epochs in which \ac{CP} does not guarantee benefits and it must be inhibited. 

%In the following, such a threshold was set as $T_{H}=\si{0.05}{m}$. $\nu_{3D}$ is evaluated in \ac{ECEF} reference frame. 

%\item \textbf{\ac{CP} 2D profitability}: same as $\nu_{3D}$ but evaluated over horizontal coordinates (E-N) in \ac{ENU}/\ac{NED} frame.


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 2cm},clip]{/capsloc_res/04102019_ex03_pieCharts_example_singleSmarpthone.eps}
\caption{{\small Sample Pie charts of \ac{CP} profitability for two different smarpthones}.}
\label{fig:04102019_ex03_piechart}
\end{figure}


\item \textbf{Mean \ac{CP} error }(2-D,3-D), $\mathcal{E}_{\text{CP}}$(m): It computes the mean positioning error of \ac{CP} w.r.t. Google Fusion Location Provider over the time epochs in which \ac{CP} is profitable 


\begin{equation}
\label{eq:meanErrorWhenProfitable}
\mathcal{E}_{\text{CP}} = \frac{1}{W}\sum_{k=1}^W \xi(t_k)
\end{equation}

where $W=\sum p(t_k)$ counts the overall amount of profitable epochs, formally $\forall k | p(t_k)=1$.

%\item \textbf{Mean 3D RMSE GPS}: 3D Root Mean Square Error w.r.t. Google Fusion Location Provider when \ac{CP} is profitable
%Same metric as for 2D (Horizontal RMSE) over horizontal coordinates in \ac{ENU}/\ac{NED} frame 

\item \textbf{Mean SA positioning error}(2-D,3-D), $\mathcal{E}_{\text{SA}}$ (m): It is equivalent to $\mathcal{E}_{\text{CP}}$ evaluated for the \ac{GNSS} standalone solution

\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/02102019_meanPosError3D2D.eps}
\caption{{\small Example of barplot showing superimposed (3-D and 2-D) of the positioning solution for profitable \ac{CP} and \ac{GNSS}-only (GPS) \ac{PVT} for dataset \texttt{0210219-01}.}}
\label{fig:0210219-ex01_barplot}
\end{figure}

In Figure \ref{fig:0210219-ex01_barplot} we can observe a sample comparison of $\mathcal{E}_{\text{SA}}$ and $\mathcal{E}_{\text{CP}}$ in which the advantage of \ac{CP} is highlighted by the dark arrows showing the mean error reduction occurring during profitable epochs.


\item \textbf{\ac{CP} accuracy mean improvement} (2-D,3-D), $\mathcal{I}_{\text{CP}}$: It provides the percentage of the improvement in accuracy guaranteed epoch-by-epoch by the \ac{CP} when the cooperation is profitable. It can be also seen as \ac{GNSS}-relative error reduction, formally

\begin{equation}
\label{eq:improvement}
\mathcal{I}_{\text{CP}}(\%)=\frac{1}{W} \sum_{j=1}^W 1- \frac{{\xi}_{CP}(t_j)}{{\xi}_{SA}(t_j)}
\end{equation}

$\mathcal{I}_{\text{CP}}$ immediately provides an indicator of the accuracy improvement of the hybrid solution w.r.t. the \ac{GNSS}-only fix. When  $\mathcal{I}_{\text{CP}}\simeq 100 \%$, the hybrid solution shows an appreciable match with the fix provided by the Google Fused Location Provider, while when $\mathcal{I}$ approaches $0$, the hybrid fix fairly matches with the \ac{GNSS}-only solution. %$\mathcal{I}_{\text{CP}}$ could also assume negative values whenever the cooperation decreases the accuracy of the \ac{GNSS}-only solution.


\end{itemize}

All the accuracy metrics in \eqref{eq:improvement},\eqref{eq:meanErrorWhenProfitable} and \eqref{eq:Profit} can be computed for 2-D and 3-D by replacing the equivalent errors \eqref{eq:2DpositionError} and \eqref{eq:3DpositionError}, in the respective equations.

%Let us first consider that a synchronous start of the positioning service is infeasible in practice because the boot of the application is manually controlled by the operators. Despite this, the tests performed and described in the following showed an availability of the \ac{CPS} over the $99 \%$ of the experiments. 


\subsection{Test Scenarios}
\label{subsec:testscenarios}

Test scenarios were classified according to two main properties: the \textit{agents dynamics} and the \textit{baseline length}. Each experiment was labelled using the format \texttt{ddmmyyyy-nn-T}, where the first six digits indicate the date of the experiment,\texttt{nn} indicates the experiment identifier and \texttt{T} classify the dynamics of the agents pair. For each experiment and each device, the resulting metrics are associated to a given receiver through the identifiers \texttt{SM01} and \texttt{SM02}. %Some dataset have been further analysed with different parameters, for example the profitability threshold previously discussed. The chosen value for these variable parameters is indicated in the table collecting the results.

\subsubsection{Agents dynamics}  

Considering a single \ac{GNSS} receiver, we are typically interested in observing positioning performance in static and kinematics conditions. Differently, when multiple \ac{GNSS} receivers are involved in \ac{CP}, four typology of pairwise relative dynamics must be taken into account despite the behaviour of each single agent, according to the terminology of inertial/non-inertial systems

\begin{figure*}[!ht]
    \centering
    \begin{subfigure}[b]{0.30\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/nullRelDynamic.png}}
\caption{Type \textbf{B}}
\label{fig:relDynamic01}
    \end{subfigure}\hfill
    \begin{subfigure}[b]{0.30\textwidth}
{\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/mixedRelDynamic.png}}
        \caption{Type \textbf{C}}
\label{fig:relDynamic02}
    \end{subfigure}\hfill
        \begin{subfigure}[b]{0.30\textwidth}
    {\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/fullRelDynamic.png}}
        \caption{Type \textbf{D}}
\label{fig:relDynamic03}
    \end{subfigure}
    \caption{\small Relative dynamics example between two cooperating agents.}
    \label{fig:dynamicsTest}
\end{figure*}


\begin{itemize}
\item \textbf{Static (type A)}: both the receivers are static such that $\mathbf{v}_A(t_k)=\mathbf{v}_B(t_k)=\overrightarrow{0} \forall k$. No variations are considered for the respective velocities and the resulting baseline vector, such that $\mathbf{d}_{AB}(t_k)=\mathbf{d}_{AB}(t_{k+1}), \forall k$. 

\item \textbf{Time-invariant baseline length (type B)}: both the agents move according to the same direction and with velocity vectors with the same magnitude, such that $\mathbf{v}_A(t_k)$ is nearly-parallel to $\mathbf{v}_B(t_k)$ and $||\mathbf{v}_A(t_k)||\simeq||\mathbf{v}_B(t_k)||, \forall k$, as shown in Figure \ref{fig:relDynamic01}. Relative speed can be considered null and their baseline length, $d_{AB}(t_k)$ is kept nearly-constant while the baseline vector can change in direction w.r.t. to a reference inertial system. \\
{\footnotesize \textit{Example}: \ac{GNSS} receivers carried on-board the same vehicle (i.e. multiple passengers in a car).}
%Pedestrians walking side-by-side are also included in this class.}
\item \textbf{Anchored variable baseline vector (type C)}: one of the agent is static (anchor) and the other moves according to a given dynamics, as in the example of Figure \ref{fig:relDynamic02}. The origin of the baseline vector is kept static but it is allowed to change both in direction and magnitude.\\
{\footnotesize \textit{Example}: Parked and moving cars or pedestrian waiting for a cab ride.}

\item \textbf{Fully variable baseline vector (type D)}: this conditions represents the generalization of the previous scenarios. Two receivers move according to independent dynamics such that $\mathbf{v}_A(t_k) \neq \mathbf{v}_B(t_k)$ and $||\mathbf{v}_A(t_k)||\neq||\mathbf{v}_B(t_k)||, \forall k$, as shown in Figure \ref{fig:relDynamic03}.\\

{\footnotesize \textit{Example}: Receivers $A$ and $B$ are installed on two bikes travelling in opposite directions with different speeds.}
\end{itemize}

\subsubsection{Baseline length}

The distance between the agents was classified according to 

\begin{itemize}
\itemsep0em
\item \textbf{Ultra-short}: \SIrange{0}{5}{\meter}, suitable for experiments of types \textbf{A} and \textbf{B} including zero-baseline tests.
\item \textbf{Short}: \SIrange{0}{50}{\meter}, suitable for kinematic scenario of types \textbf{C} and \textbf{D}
\item \textbf{Moderate}: \SIrange{50}{100}{\meter}
%\item \textbf{Medium}: 	\SIrange{100}{1000}{\meter}
\end{itemize}  

It is worth remarking that the baseline length, $d_{\text{AB}}$ can influence the effectiveness of the error cancellation provided by differential ranging techniques.

%\subsection{List of experiments}

The whole set of experiments pursued within the \ac{CAPS.loc} Test Campaign in October 2019 is listed in Table \ref{tab:experimentTable}. All the experiment are referred hereafter according to the nomenclature defined in \ref{subsec:testscenarios} and sorted according to the execution date.

%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.6\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/ExperimentalScenario.png}
%\caption{{\small Example of pedestrian urban scenario with anchored variable baseline vector (type \textbf{C}) which exploit the CAPS.loc framework for \ac{CP}.}}
%\label{fig:exampleScenario}
%\end{figure}

% TABELLA DEGLI ESPERIMENTI
\begin{table}[h!]
\begin{small}
\begin{tabularx}{\textwidth}{cllcll}\toprule\toprule
\rowcolor{alexgray}
\textbf{Code} & \textbf{Date-nn-T}   &  \textbf{Environment} 	& \textbf{SVs} 	& $d_{AB}$  & \textbf{Scenario} \\ \midrule
\texttt{a-01} & 02\/10\/2019-01-B 	  & Urban				&	GPS(5)	& Short 		& Pedestrian	\\ \midrule
\texttt{b-01} & 04\/10\/2019-01-C     & Urban  				&	GPS(5)	& Short 		& Pedestrian\\ \hdashline 
\texttt{b-02} & 04\/10\/2019-02-D  	  & Urban				&	GPS(5)	& Short 		& Pedestrian\\ \hdashline
\texttt{b-03} & 04\/10\/2019-03-D     & Urban/Open Sky		&	GPS(5)	& Short 		& Pedestrian\\ \hdashline
\texttt{b-04} & 04\/10\/2019-04-C     & Urban/Open Sky		&   GPS(5)	& Short 		& Pedestrian\\ \midrule
\rowcolor{aliceblue}
\texttt{c-01} & 09\/10\/2019-01-B     & Urban				&	GPS(5)	& Ultra-short 	& Pedestrian\\	\hdashline 
\texttt{c-02} & 09\/10\/2019-02-B     & Urban				&	GPS(5)	& Ultra-short 	& Pedestrian\\	\midrule
\rowcolor{aliceblue}
\texttt{d-02} & 11\/10\/2019-02-B     & Open Sky			&	GPS(5)	& Ultra-short 	& Vehicular\\	 \hdashline
\texttt{d-03} & 11\/10\/2019-03-A     & Urban				&	GPS(5)	& Ultra-short 	& Vehicular\\\hdashline
\texttt{d-04} & 11\/10\/2019-04-B	  & Urban 				&	GPS(5)	& Ultra-short	& Pedestrian\\  \hdashline
\texttt{d-05} & 11\/10\/2019-05-B     & Urban				&	GPS(5)	& Ultra-short 	& Vehicular\\	 \midrule
\texttt{e-01} & 13\/10\/2019-01-B     & Open-Sky			&	GPS(5)	& Ultra-short 	& Vehicular\\	\midrule
\rowcolor{aliceblue}
\texttt{f-01} & 16\/10\/2019-01-A     & Urban/Open Sky		&	GPS(5)	&  Short		& Pedestrian\\ \hdashline
\texttt{f-02} & 16\/10\/2019-02-D     & Urban/Open Sky		&	GPS(5)	&  Short		& Pedestrian\\  \midrule
\texttt{g-01} & 30\/10\/2019-01-A     & Urban/Open Sky		&	GPS(5)	&  Ultra-short	& Pedestrian\\ \hdashline	
\texttt{g-02} & 30\/10\/2019-02-A     & Urban/Open Sky		&	GPS(5)	&  Ultra-short	& Pedestrian\\ \hdashline	
\texttt{g-03} & 30\/10\/2019-03-D     & Urban/Open Sky		&	GPS(5)	&  Short		& Pedestrian\\	\hdashline
\rowcolor{aliceblue}
\texttt{g-05} & 30\/10\/2019-05-D     & Urban/Open Sky		&	GPS(5)	&  Moderate		& Pedestrian+Bike\\	
\texttt{g-06} & 30\/10\/2019-06-D     & Urban/Open Sky		&	GPS(all)&  Moderate		& Pedestrian+Bike\\	
	
\bottomrule\bottomrule
\end{tabularx}
\end{small}
\caption{List of experiments conducted within the internal CAPS.loc test campaign in October 2019. The blue rows indicate the selected samples detailed in \ref{sec:results_detail}.}
\label{tab:experimentTable}  
\end{table}



%\section{Experiments}
%
%\textbf{Experiment 02102019-01}: \textit{Pedestrian urban environment side-by-side walk }
%
%> Description: SM01 and SM02 moves close to each other, variable baseline length (< 2m)
%> Urban environment mixture (buildings, tree, open sky)
%> 5 GPS satellites visibility
%
%\textbf{Experiment 04102019-01} \textit{Pedestrian urban environment varying baseline length}
%
%\begin{itemize}
%\item \textbf{Description}: SM01 static while SM02 moves around the SM01 location
%\item Urban environment mixture (buildings, tree, open sky)
%\item 0-50 m baseline length
%\item 5 GPS satellites visibility
%\end{itemize}
%
%\textbf{Experiment 04102019-02} \textit{Pedestrian static at different baseline lengths}
%
%> Description: SM01 and SM02 movement to static landmarks
%> Urban environment mixture (buildings, tree, open sky)
%> 0-50 m baseline length
%> 5 GPS satellites visibility
%
%\textbf{Experiment 04102019-03} \textit{Rooftop walks dynamic open sky with moderate multipath reflections}
%
%> Description: SM01 and SM02 dynamic in good visibility and limited multipath
%> Urban environment mixture (buildings, tree, open sky)
%> 0-50 m baseline length
%> 5 best GPS satellites visibility
%
%
%\textbf{Experiment 04102019-04} Rooftop static agent (surveying UAV-like) + ground-level kinematic agent in open sky with strong multipath reflections (polito building squared fence)
%
%> Description: SM01 static on the rooftop (UAV-like) SM02 walking at the ground-level
%> Urban environment mixture (buildings, tree, open sky)
%> 0-50 m baseline length
%> 5 best GPS satellites visibility    
    
\section{Results}
\label{sec:results_detail}

%\subsection{Sample experimental results}

A set of meaningful experiments have been chosen to discuss the relevant results observed for  suitable use cases and dynamics (Type A,B,C and D). Detailed results are shown for the selected experiments according to analyse the \ac{CP} profitability. Quantitative data are instead collected in a summary of the whole test campaign and presented in Section \ref{sec:results}.

\subsubsection{Experiment f-01 16102019-01-A: Static receivers at zero-baseline}
\begin{itemize}
\itemsep0em
\item \textit{Description}: \texttt{SM01} and \texttt{SM02} are statically co-located at centre of a parking lot in the Politecnico Campus.
\item \textit{Visibility}: urban environment (buildings, trees) with good portion of open sky.
\item \textit{Constraints}: forced to poor visibility using the best $5$ \ac{GPS} satellite in view.
\item \ac{EKF} parameters: multiplicative measurements covariance weight set to $20$.
\end{itemize}



\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/16102019_ex01_pieCharts.eps}
\caption{{\small Pie charts of \ac{CP} profitability for the two smarpthone in the experiment \texttt{f-01}}}
\label{fig:16102019_ex01_piechart}
\end{figure}

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/binaryProfitability_example.eps}
\caption{{\small Time series of profitability/unprofitability of \ac{CP} in the experiment \texttt{F-01}.}}
\label{fig:binary_profit}
\end{figure}

This test was helpful to assess the feasibility of \ac{CAPS.loc} dealing with raw measurements coming from co-located identical devices, thus in ultra-short baseline length. According to the profitability results shown in Figure \ref{fig:16102019_ex01_piechart}, it is worth noticing that \texttt{SM02} benefits from \ac{CP} for more than $40 \%$ of the data collection. It is reasonable to assume that \texttt{SM01} did not benefit from the aids of \texttt{SM02} during the same epochs. 

By the way, the plot presented in Figure \ref{fig:binary_profit} highlights a fundamental aspects of this pairwise collaboration: by looking at time $t_k$ from \SI{40}{\second} to \SI{140}{\second} we notice indeed that the collaboration is mostly profitable from \texttt{SM01} to \texttt{SM02} (SM01. This behaviour is attributed to the quality of the raw measurements and consequently to the goodness of the coarse fix of \texttt{SM02}. It is indeed worthy to recall that the coarse position of the aiding agents is used as reference for the tight-integration of the inter-agent distance, as detailed in the tight-integration algorithm defined in Chapter \ref{ch:navFilters}. The quantitative comparison of the mean positioning error shown in the upper-right quadrant of Figure \ref{all_exampleImprovement} confirms that, during profitable epochs, \texttt{SM01} obtained a non-relevant advantage from cooperation while the opposite is shown for \texttt{SM02}.

%\begin{figure}[h!]
%\centering
%\includegraphics[width=1\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/16102019_exp02_SM02_SM01_trajAndProfit.eps}
%\caption{{\small Positioning solutions}}
%\label{fig:f02_map}
%\end{figure}




\subsubsection{Experiment d-02 11102019-02-B: side-by-side pedestrian walk with variable speed and baseline}
\begin{itemize}
\itemsep0em
\item \textit{Description}: pedestrian test, SM01 and SM02 moves around a parking area.
\item \textit{Visibility}: urban environment (buildings, trees, open sky).
\item \textit{Constraints}: forced to poor visibility using the best $5$ \ac{GPS} satellite in view.
\item \ac{EKF} parameters: multiplicative measurements covariance weight set to $20$.
\end{itemize}

\begin{figure}[!htb]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/pieCharts_examples_d02.eps}
\caption{{\small Pie charts of \ac{CP} profitability for the two smartphones in the experiment \texttt{d-02}.}}
\label{fig:d02_piechart}
\end{figure}

In this experiment, an evident unbalancing of the profitability can be seen in Figure \ref{fig:d02_piechart}. Neglecting any additional information it is reasonable to conclude that \texttt{SM02} was experiencing good positioning performance providing meaningful data to \texttt{SM01}. This behaviour is confirmed by the lower-right quadrant of Figure \ref{fig:all_exampleImprovement} where standalone \ac{GNSS} accuracy of \texttt{SM02} was initially better w.r.t. the one experienced by \texttt{SM01}.  %Such an experiment suggest similar amounts of profitable and unprofitable epochs for both the devices, thus assessing on average a not s

\subsubsection{Experiment g-05 30102019-05-D: Vehicular (Bicycle) and pedestrian dynamics with variable speed and baseline}
\begin{itemize}
\itemsep0em
\item \textit{Description}: urban mobility test, SM01 moving on a bike and SM02 walking around a parking area.
\item \textit{Visibility}: urban environment (buildings, trees, open sky).
\item \textit{Constraints}: forced to poor visibility using the best $5$ \ac{GPS} satellite in view.
\item \ac{EKF} parameters: multiplicative measurements covariance weight set to $20$.
\end{itemize}


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/pieCharts_examples_g05.eps}
\caption{{\small Pie charts of \ac{CP} profitability for the two smartphones in the experiment \texttt{g-05}.}}
\label{fig:g05_piechart}
\end{figure}

The \textit{bike agent} (\texttt{SM01}) followed a longer path w.r.t. to the \textit{pedestrian agent} (\texttt{SM01}), by slightly varying its altitude as well as multipath and visibility conditions along the trajectory. 
Furthermore, in this specific scenario the \texttt{SM02} experienced a lower availability than usual, caused by temporary network failures which were not affecting \texttt{SM01}.

Pedestrian agent (\texttt{SM01}) showed a considerably higher profitability w.r.t. the bike agent in 3-D reference frame, as shown in Figure \ref{fig:g05_piechart}. \texttt{SM01} benefited from the moving agent and its variable quality of the measurements along the trajectory. This is due in particular to capabilities of the \ac{EKF} to guarantee better positioning performance in dynamics scenario.  The results appears reversed in 2-D frame, thus underlying that the more evident improvement was on altitude. This effect of \ac{CP} has been shown from the theoretical analysis presented in Chapter \ref{ch:theoreticalResults}.
As shown in the left-bottom quadrant of Figure \ref{fig:all_exampleImprovement}, the error reduction due to \ac{CP} is remarkable and $\mathcal{I}_{\text{CP}}\simeq50 \%$ has been reached in the profitable epochs, considering both 2-D and 3-D frames.
Generally speaking, pedestrian experienced a higher accuracy in the standalone solution w.r.t. the bike agent, so it can potentially provide a valuable aiding.

\subsubsection{Experiment c-01 04102019-01-C: Pedestrian relative dynamics with variable speed, baseline and altitude}

\begin{itemize}
\itemsep0em
\item \textit{Description}: pedestrian test, \texttt{SM01} moves in an urban canyon with considerable
multipath effects while \texttt{SM02} is static on the roof of the building.
\item \textit{Visibility}: urban canyon for \texttt{SM01} (buildings) and open sky for \texttt{SM02}.
\item \textit{Constraints}: forced to poor visibility using the best 5 \ac{GPS} satellite in view.
\item \ac{EKF} parameters: multiplicative measurements covariance weight set to $20$.
\end{itemize}


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/hansel/ExperimentalScenario.png}
\caption{{\small Example of pedestrian urban scenario with anchored variable baseline vector (experiment C-01) which exploit the CAPS.loc framework for \ac{CP}.}}
\label{fig:exampleScenario}
\end{figure}


\begin{figure}[h!]
\centering
\includegraphics[width=0.8\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/pieCharts_examples_c01.eps}
\caption{{\small Pie charts of \ac{CP} profitability for the two smartphones in the experiment \texttt{c-01}.}}
\label{fig:c01_piechart}
\end{figure}


A well-known critical environment was selected for this test nearby Politecnico di Torino for \texttt{SM01}, as shown in Figure \ref{fig:exampleScenario}. Despite of the favourable conditions of \texttt{SM02} located on a rooftop, the benefits for \texttt{SM01} were not remarkable. As depicted in Figure \ref{fig:c01_piechart}, this experiment showed very low profitability in both the smartphones although the accuracy improvement in profitable epochs was remarkable, as shown in upper-left quadrant of Figure \ref{fig:all_exampleImprovement}. This could be due to the very different conditions of the agents but especially to the high multipath conditions experienced by \texttt{SM01} which is responsible for the degradation of both raw measurements and coarse fix shared by the agent. As commented for experiment g-05, a further penalizing factor is the use of \ac{EKF} for the estimation of the static position of \ac{SM02}. 

%\begin{table}[] \centering
%%\ra{1.3}
%\begin{small}
%\begin{tabular}{@{}lcrrrrrrrr@{}}\toprule
%\textbf{} & \textbf{} & \texttt{A-01} & \texttt{B-01} & \texttt{B-02} & \texttt{B-03} & \texttt{B-04} & \texttt{C-02}  & \texttt{C-03} \\ \midrule
%\rowcolor{aliceblue}
%\textbf{CPS availability}		&(\%) 	& 99.62 & 96.39 & 97.50 & 98.08 & 99.80 & 100.0 & 99.47 	\\ \midrule
%\textbf{CP 3D profitability} 	&(\%)	& 11.90 & 19.05 & 18.67 & 47.76 & 4.10  & 17.15 & 1.21 		\\ \hdashline
%\textbf{CP 3D light damage}		&(\%)	& 64.38 & 56.12 & 56.78 & 20.25 & 87.08 & 64.61 & 96.04  	\\ \midrule
%\textbf{Mean 3D RMSE CP} 		&(m)	& 20.26 & 11.42 & 13.13 & 21.96 & 15.14 & 15.52 & 28.33  	\\ \hdashline
%\textbf{Mean 3D RMSE GPS} 		&(m)	& 30.56 & 16.99 & 22.97 & 30.09 & 36.12 & 26.26 & 41.21  	\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 3D improvement} 	&(\%)	& 30.83 & 29.21 & 36.46  & 25.41  & 47.15  & 38.04  & 29.63 \\ \midrule
%\textbf{CP 2D profitability} 	&(\%)	& 12.35 & 14.63 & 16.62  & 35.89  & 3.33   & 10.02  & 1.52	\\ \hdashline
%\textbf{CP 2D light damage}		&(\%) 	& 76.92 & 70.74 & 73.15  & 57.26  & 90.61  & 64.49  & 96.04 \\ \midrule
%\textbf{Mean 2D RMSE CP} 	    &(m)	& 5.65  & 3.67  & 4.72   & 5.23   & 8.78   & 4.43   & 8.26	\\ \hdashline
%\textbf{Mean 2D RMSE GPS} 		&(m)	& 9.61  & 6.50  & 8.97   & 8.45   & 16.45  & 7.90   & 14.95	\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 2D improvement} 	&(\%)	& 36.57 & 40.91 & 40.38 & 32.75 & 36.04 & 34.30 & 41.26		\\
%\bottomrule
%\end{tabular}
%\end{small}
%\caption{\textbf{Xiaomi Mi 8 Pro [\textbf{SM01}]}: Static and semi-kinematic pedestrian tests in Politecnico Campus (Mixed urban environment). $T_{H}=\SI{0.05}{\meter}$}
%\label{tab:tabSM01}  
%\end{table}
%
%
%\begin{table}[] \centering
%%\ra{1.3}
%\begin{small}
%\begin{tabular}{@{}lcrrrrrrrr@{}}\toprule
%\textbf{} & \textbf{} & \texttt{A-01} & \texttt{B-01} & \texttt{B-02} & \texttt{B-03} & \texttt{B-04} & \texttt{C-02}  & \texttt{C-03} \\ \midrule
%\rowcolor{aliceblue}
%\textbf{CPS availability}		&(\%) 	& 99.62 & 96.39 & 97.50 & 98.08 & 99.80 & 100.0 & 99.47 	\\ \midrule
%\textbf{CP 3D profitability} 	&(\%)	& 11.90 & 19.05 & 18.67 & 47.76 & 4.10  & 17.15 & 1.21 		\\ \hdashline
%\textbf{CP 3D light damage}		&(\%)	& 64.38 & 56.12 & 56.78 & 20.25 & 87.08 & 64.61 & 96.04  	\\ \midrule
%\textbf{Mean 3D RMSE CP} 		&(m)	& 20.26 & 11.42 & 13.13 & 21.96 & 15.14 & 15.52 & 28.33  	\\ \hdashline
%\textbf{Mean 3D RMSE GPS} 		&(m)	& 30.56 & 16.99 & 22.97 & 30.09 & 36.12 & 26.26 & 41.21  	\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 3D improvement} 	&(\%)	& 30.83 & 29.21 & 36.46  & 25.41  & 47.15  & 38.04  & 29.63  	\\ \midrule
%\textbf{CP 2D profitability} 	&(\%)	& 12.35 & 14.63 & 16.62  & 35.89  & 3.33   & 10.02  & 1.52		\\ \hdashline
%\textbf{CP 2D light damage}		&(\%) 	& 76.92 & 70.74 & 73.15  & 57.26  & 90.61  & 64.49  & 96.04  	\\ \midrule
%\textbf{Mean 2D RMSE CP} 	    &(m)	& 5.65  & 3.67  & 4.72   & 5.23   & 8.78   & 4.43   & 8.26				\\ \hdashline
%\textbf{Mean 2D RMSE GPS} 		&(m)	& 9.61  & 6.50  & 8.97   & 8.45   & 16.45  & 7.90   & 14.95				\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 2D improvement} 	&(\%)	& 36.57 & 40.91 & 40.38 & 32.75 & 36.04 & 34.30 & 41.26	\\
%\bottomrule
%\end{tabular}
%\end{small}
%\caption{\textbf{Xiaomi Mi 8 Pro [\textbf{SM01}]}: Static and semi-kinematic pedestrian tests in Politecnico Campus (Mixed urban environment). $T_{H}=\SI{0.05}{\meter}$}
%\label{tab:tabSM02}
%\end{table}

\begin{figure}[!htbp]
\centering
\includegraphics[width=1\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/exampleTests_improvement.eps}
\caption{{\small Collection of mean errors comparisons for the experiments described in \ref{sec:results_detail}}}
\label{fig:all_exampleImprovement}
\end{figure}

\begin{figure}[!htbp]
\centering
\includegraphics[width=1\columnwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/exampleTests_OverallCDF.eps}
\caption{{\small Collection of \ac{CDF}s for the sample experiments described in Section \ref{sec:results_detail}}.}
\label{fig:all_CDF}
\end{figure}

A further assessment of the simulation results is given through the analysis of the \ac{CDF}s of the positioning errors, provided in Figure \ref{fig:all_CDF}. Differently from the previous analysis, the plots depict the overall error of the positioning solutions along the whole test duration. A comparison is shown between standalone and cooperative solution and we can notice negligible improvement for low dynamics scenarios such as the experiments \texttt{c-01} (upper-left quadrant) and \texttt{d-01} (lower-right quadrant). On the contrary, a higher advantage is provided on average for high relative dynamics as for the sample experiment \texttt{d-02}, in which the cooperation was established within bicycle-pedestrian pair (bottom-left quadrant). A different case is instead shown in the upper-right quadrant for the experiment \texttt{f-1} in which a clear aiding-aided configuration would be advisable as \texttt{SM01}$\rightarrow$\texttt{SM02}. This finding is clearer in static experiments during which two identical devices surprisingly experienced different navigation conditions stably along the whole timespan.



\subsection{Summary of experimental results and general comments}
\label{sub:summary}

\begin{table}[!htbp] \centering
%\ra{1.3}
\begin{small}
\begin{tabular}{@{}crrrrrrrrrrr@{}}\toprule\toprule
%\begin{tabular}{cccccccccccc}\toprule
\rowcolor{alexgray}
\textbf{} & $\mathcal{A}_{\text{CP}}$(\%) & \multicolumn{2}{c}{$\mathcal{P}_{\text{CP}}$ (\%)}  & \multicolumn{2}{c}{$\mathcal{H}_{\text{CP}}$ (\%)} & \multicolumn{2}{c}{$\mathcal{E}_{\text{CP}}$ (m)} & \multicolumn{2}{c}{$\mathcal{E}_{\text{SA}}$ (m)} & \multicolumn{2}{c}{$\mathcal{I}_{\text{CP}}$ (\%)} \\ \hdashline
	 &	        &   \multicolumn{1}{c}{3-D}      & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}    & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}   & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}  &2-D    & \multicolumn{1}{c}{3-D}    & \multicolumn{1}{c}{2-D}	\\ \hline\hline
a-01 & 89.62  & 11.9  & 12.35 & 64.38 & 76.92 & 20.26 & 5.65  & 30.56 & 9.61  & 30.83 & 36.57 \\ \midrule
b-01 & 86.39  & 19.05 & 14.63 & 56.12 & 70.74 & 11.42 & 3.67  & 16.99 & 6.5   & 29.21 & 40.91 \\ \hdashline	
b-02 & 87.50  & 18.67 & 16.62 & 56.78 & 73.15 & 13.13 & 4.72  & 22.97 & 8.97  & 36.46 & 40.38 \\ \hdashline
b-03 & 88.08  & 47.76 & 35.89 & 20.25 & 57.26 & 21.96 & 5.23  & 30.09 & 8.45  & 25.41 & 32.75 \\ \hdashline
b-04 & 89.80  & 4.1   & 3.33  & 87.08 & 90.61 & 15.14 & 8.78  & 36.12 & 16.45 & 74.15 & 36.04 \\ \midrule
\rowcolor{aliceblue}
c-01 & 90.00 & 17.15 & 10.02 & 64.61 & 64.49 & 15.52 & 4.43  & 26.26 & 7.9   & 38.04 & 34.3  \\ \hdashline 
c-02 & 89.47  & 1.21  & 1.52  & 96.04 & 96.04 & 28.33 & 8.26  & 41.21 & 14.95 & 29.63 & 41.26 \\ \midrule
\rowcolor{aliceblue}
d-02 & 89.40  & 35.4  & 31.2  & 32.6  & 32.8  & 11.92 & 3.2   & 18.38 & 5.57  & 31.96 & 38.83 \\ \hdashline
d-03 & 90.00 & 27.61 & 38.65 & 28.83 & 29.45 & 10.08 & 5.45  & 16.31 & 8.78  & 35.45 & 36.1  \\ \hdashline
d-04 & 89.88 & 26.45 & 24.03 & 35.39 & 36.72 & 15.47 & 6.72	 & 24.58 & 11.14 & 31.77 & 33.96 \\
\hdashline
d-05 & 89.70 & 47.18 & 39.47 & 31.45 & 32.34 & 15.1  & 5.32  & 41.8  & 14.21 & 49.42 & 48.61 \\ \midrule
e-01 & 89.76 & 19.03 & 17.33 & 44.24 & 44.73 & 13.48 & 5.35  & 18.19 & 7.58  & 23.68 & 28.42 \\ \midrule 
\rowcolor{aliceblue}
f-01 & 89.40 & 6.63  & 13.86 & 36.75 & 37.95 & 38.52 & 9.35  & 44.71 & 12.42 & 14.05 & 25.99 \\
\hdashline
f-02 & 89.48  & 36.98 &	29.17 &	33.85 &	33.33 &	24.64 &	9.15 &	46.67 &	18.85 &	40.58 &	41.86 \\
\midrule
g-01 & 			&		&		&		&		&		&		&		&		&		&		\\ \hdashline
g-02 & 83.21 & 22.36 & 20.18 & 3.94  & 3.07  & 18.96 & 8.41  & 26.26 & 13.19 & 25.19 & 35.29 \\ \hdashline
g-03 & 75.96 & 67.09 & 24.05 & 8.86  & 35.44 & 12.4  & 4.39  & 21.29 & 6.76  & 40.02 & 36.61 \\ \hdashline
\rowcolor{aliceblue}
g-05 & 98.37 & 38.84 & 27.27 & 14.88 & 28.1  & 16.27 & 6.56  & 48.76 & 21.51 & 50.13 & 56.7  \\ \hdashline
g-06 & 100.00 & 51.87 & 29.32 & 9.023 & 18.05 & 22.74 & 11.07 & 61.47 & 32.6  & 57.15 & 64.11 \\ \bottomrule\bottomrule

\end{tabular}
\end{small}
\caption{Xiaomi Mi 8 Pro [SM01]: Static and semi-kinematic pedestrian tests in proximity to Politecnico Campus (Mixed urban environment). $T_{H}=\SI{0.05}{\meter}$.}
\label{tab:resSM01}
\end{table}


\begin{table}[!htbp] \centering
%\ra{1.3}
\begin{small}
\begin{tabular}{@{}crrrrrrrrrrr@{}}\toprule\toprule
%\begin{tabular}{cccccccccccc}\toprule
\rowcolor{alexgray}
\textbf{} & $\mathcal{A}_{\text{CP}}$(\%) & \multicolumn{2}{c}{$\mathcal{P}_{\text{CP}}$ (\%)}  & \multicolumn{2}{c}{$\mathcal{H}_{\text{CP}}$ (\%)} & \multicolumn{2}{c}{$\mathcal{E}_{\text{CP}}$ (m)} & \multicolumn{2}{c}{$\mathcal{E}_{\text{SA}}$ (m)} & \multicolumn{2}{c}{$\mathcal{I}_{\text{CP}}$ (\%)} \\ \hdashline
	 &	        &   \multicolumn{1}{c}{3-D}      & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}    & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}   & \multicolumn{1}{c}{2-D}    & \multicolumn{1}{c}{3-D}  &2-D    & \multicolumn{1}{c}{3-D}    & \multicolumn{1}{c}{2-D}	\\ \hline\hline

a-01 & 86.61  & 16.32 & 12.30 & 59.50 & 71.88 & 19.42 & 7.70  & 30.34 & 14.46 & 31.15 & 38.39 \\ \midrule
b-01 & 90.00 & 19.46 & 13.42 & 59.73 & 73.15 & 12.15 & 5.37  & 25.70 & 8.18  & 34.56 & 32.95  \\ \hdashline
b-02 & 86.98  & 20.84 & 20.35 & 59.80 & 60.05 & 11.93 & 5.54  & 19.80 & 9.05  & 34.34 & 37.24 \\ \hdashline
b-03 & 89.16  & 14.29 & 10.18 & 71.00 & 72.14 & 14.59 & 5.23  & 19.58 & 8.45  & 22.58 & 34.30 \\ \hdashline
b-04 & 76.46  & 8.01  & 7.63  & 84.16 & 84.35 & 19.04 & 2.36  & 23.99 & 6.20  & 17.23 & 54.67 \\ \midrule
\rowcolor{aliceblue}
c-01 & 87.07  & 25.08 & 18.41 & 41.98 & 42.14 & 22.11 & 10.39 & 38.62 & 19.38 & 38.64 & 38.02 \\ \hdashline
c-02 & 89.09  & 0.92  & 1.00  & 97.01 & 97.01 & 23.60 & 10.02 & 36.27 & 15.78 & 33.58 & 34.32 \\ \midrule
\rowcolor{aliceblue}
d-02 & 89.33  & 4.03  & 3.36  & 90.13 & 90.36 & 18.14 & 8.41  & 31.13 & 16.54 & 43.47 & 39.99 \\ \hdashline
d-03 & 89.38  & 44.10 & 34.78 & 11.80 & 11.80 & 13.32 & 4.65  & 17.44 & 7.80  & 22.78 & 38.94 \\ \hdashline
d-04 & 85.30  &	35.02 &	30.46 &	28.98 &	29.71 &	19.92 &	9.39 &	32.68 &	14.70 &	36.37 &	39.34 \\
\hdashline
d-05 & 89.39  & 55.31 & 44.68 & 23.71 & 24.01 & 16.34 & 6.85  & 44.50 & 15.66 & 51.80 & 48.96 \\ \midrule
e-01 & 89.86  & 32.42 & 27.19 & 19.35 & 20.39 & 12.50 & 5.50  & 16.59 & 7.69  & 22.47 & 28.76 \\ \midrule
\rowcolor{aliceblue}
f-01 & 87.61  & 41.46 & 44.51 & 36.58 & 36.58 & 20.48 & 11.85 & 31.94 & 25.68 & 31.82 & 47.97 \\
\hdashline
f-02 & 90.00  & 38.02 &	36.98 &	14.58 &	13.54 &	23.95 &	9.83 &	48.03 &	17.77 &	43.87 &	38.67 \\
\midrule
g-01 & 62.50\%  & 30.52 & 20.00 & 15.78 & 14.73 & 22.26 & 15.16 & 31.55 & 21.61 & 29.82 & 33.50 \\ \hdashline
g-02 & 81.48\%  & 31.81 & 18.18 & 15.50 & 21.59 & 11.63 & 3.64  & 23.14 & 8.58  & 43.97 & 57.32 \\ \hdashline
g-03 & 55.55\%  & 12.50 & 12.50 & 22.50 & 35.00 & 11.78 & 6.61  & 17.21 & 13.27 & 40.34 & 53.47 \\ \hdashline
\rowcolor{aliceblue}
g-05 & 58.54\%  & 43.75 & 14.58 & 10.41 & 33.33 & 21.52 & 9.28  & 44.82 & 25.41 & 47.41 & 62.55 \\ \hdashline
g-06 & 65.47\%  & 56.16 & 23.97 & 15.07 & 39.04 & 19.53 & 5.12  & 37.19 & 11.89 & 45.72 & 57.30 \\ \bottomrule\bottomrule


\end{tabular}
\end{small}
\caption{Xiaomi Mi 8 Pro [SM02]: Static and semi-kinematic pedestrian tests in proximity to Politecnico Campus (Mixed urban environment). $T_{H}=\SI{0.05}{\meter}$.}
\label{tab:resSM02}
\end{table}

%\begin{table}[] \centering
%%\ra{1.3}
%\begin{small}
%\begin{tabular}{@{}lrrrrrrrr@{}}\toprule
%\textbf{} & \texttt{A-01} & \texttt{B-01} & \texttt{B-02} & \texttt{B-03} & \texttt{B-04} & \texttt{C-02}  & \texttt{C-03} \\ \midrule
%\rowcolor{aliceblue}
%\textbf{CPS availability} 		& 96.61 \% & 100.0 \% & 96.98 \% & 99.16 \% & 86.46 \% & 97.07 \% & 99.09\% 	\\ \midrule
%\textbf{CP 3D profitability} 	& 16.32 \% & 19.46 \% & 20.84 \% & 14.29 \% & 8.01 \% & 25.08 \% & 0.92\%  	\\ \hdashline
%\textbf{CP 3D light damage}		& 59.50 \% & 59.73 \% & 59.80 \% & 71.00 \% & 84.16 \% & 41.98 \% & 97.01\%  	\\ \midrule
%\textbf{Mean 3D RMSE CP} 		& 19.42 m &  12.15 m  & 11.93 m & 14.59 m & 19.04 m & 22.11 m & 23.60 m  	\\ \hdashline
%\textbf{Mean 3D RMSE GPS} 		& 30.34 m &  25.70 m  & 19.80 m & 19.58 m & 23.99 m & 38.62 m & 36.27 m  	\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 3D improvement} 	& 31.15 \% & 34.56 \% & 34.34 \% & 22.58 \% & 17.23 \% & 38.64 \% & 33.58\%  	\\ \midrule
%\textbf{CP 2D profitability} 	& 12.30 \% & 13.42 \% & 20.35 \% & 10.18 \% & 7.63 \% & 18.41 \% & 1.00\%	\\ \hdashline
%\textbf{CP 2D light damage}		& 71.88 \% & 73.15 \% & 60.05 \% & 72.14 \% & 84.35 \% & 42.14 \% & 97.01\%  	\\ \midrule
%\textbf{Mean 2D RMSE CP} 	    & 7.70 	m & 5.37 m & 5.54 m & 5.23 m & 2.36 \% & 10.39 \% & 10.02 \%	\\ \hdashline
%\textbf{Mean 2D RMSE GPS} 		& 14.46 m & 8.18 m & 9.05 m & 8.45 m & 6.20 \% & 19.38 \% & 15.78 \%	\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 2D improvement} 	& 38.39 \% & 32.95 \% & 37.24 \% & 34.30 \% & 54.67 \% & 38.02 \% & 34.32\%	\\
%\bottomrule
%\end{tabular}
%\end{small}
%\caption{\textbf{SM02}: Static and semi-kinematic pedestrian tests in Politecnico Campus (Mixed urban environment)}
%\end{table}

%\begin{table}[] \centering
%%\ra{1.3}
%\begin{small}
%\begin{tabular}{@{}lcrrrrrrrr@{}}\toprule
%\textbf{} & \textbf{} & \texttt{A-01} & \texttt{B-01} & \texttt{B-02} & \texttt{B-03} & \texttt{B-04} & \texttt{C-02}  & \texttt{C-03} \\ \midrule
%\rowcolor{aliceblue}
%\textbf{CPS availability } 		&(\%) 	& 96.61  & 100.0  & 96.98  & 99.16  & 86.46  & 97.07  & 99.09 	\\ \midrule
%\textbf{CP 3D profitability } 	&(\%) 	& 16.32  & 19.46  & 20.84  & 14.29  & 8.01   & 25.08  & 0.92  	\\ \hdashline
%\textbf{CP 3D light damage } 	&(\%)	& 59.50  & 59.73  & 59.80  & 71.00  & 84.16  & 41.98  & 97.01  	\\ \midrule
%\textbf{Mean 3D RMSE CP } 		&(m)	& 19.42  & 12.15  & 11.93  & 14.59  & 19.04  & 22.11  & 23.60   \\ \hdashline
%\textbf{Mean 3D RMSE GPS }		&(m) 	& 30.34  & 25.70  & 19.80  & 19.58  & 23.99  & 38.62  & 36.27   \\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 3D improvement } 	&(\%) 	& 31.15  & 34.56 & 34.34 & 22.58 & 17.23 & 38.64 & 33.58 		\\ \midrule
%\textbf{CP 2D profitability } 	&(\%)	& 12.30  & 13.42 & 20.35 & 10.18 & 7.63  & 18.41 & 1.00			\\ \hdashline
%\textbf{CP 2D light damage  } 	&(\%)	& 71.88  & 73.15 & 60.05 & 72.14 & 84.35 & 42.14 & 97.01  		\\ \midrule
%\textbf{Mean 2D RMSE CP } 		&(m) 	& 7.70 	 & 5.37  & 5.54  & 5.23  & 2.36  & 10.39 & 10.02 		\\ \hdashline
%\textbf{Mean 2D RMSE GPS } 		&(m)	& 14.46  & 8.18  & 9.05  & 8.45  & 6.20  & 19.38 & 15.78 		\\ \hdashline
%\rowcolor{aliceblue}
%\textbf{Mean 2D improvement } 	&(\%) 	& 38.39 & 32.95 & 37.24 & 34.30 & 54.67 & 38.02 & 34.32	\\
%\bottomrule
%\end{tabular}
%\end{small}
%\caption{\textbf{Xiaomi Mi 8 Pro [SM02]}: Static and semi-kinematic pedestrian tests in Politecnico Campus (Mixed urban environment).$T_{H}=\SI{0.05}{\meter}$}
%\end{table}
%
%The following collections of results experimentally confirms two key findings:
%
%\begin{itemize}
%\item A server-based architecture relying on 4G infrastructure and  \ac{UDP} protocol is feasible for the paradigm.
%\item Accuracy performance with a single collaborative measurement can be improved as well as worsen with given probability. 
%\end{itemize} 
%
%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/04102019_ex1_meanPosError3D2D.eps}
%\label{fig:trend01}
%       \label{fig:bar01}
%       \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/04102019_ex2_meanPosError3D2D.eps}
%        \label{fig:bar02}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/04102019_ex3_meanPosError3D2D.eps}
%\label{fig:trend01}
%       \label{fig:bar03}
%       \caption{}
%    \end{subfigure}
% \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/04102019_ex4_meanPosError3D2D.eps}
%        \label{fig:bar04}
%        \caption{}
%    \end{subfigure}
%    \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{04102019}}
%    \label{fig:barplots04Ottobre_1e2}
%\end{figure*}




%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/09102019_ex2_meanPosError3D2D.eps}
%\label{fig:trend01}
%       \label{fig:bar05}
%       \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={2cm 0cm 2cm 0cm},clip]{/capsloc_res/09102019_ex3_meanPosError3D2D.eps}
%        \label{fig:bar06}
%        \caption{}
%    \end{subfigure}
%    \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{09102019}}
%    \label{fig:barplots09Ottobre_2e3}
%\end{figure*}






%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/02102019_SM01_trajAndProfit.eps}
%\label{fig:trend01}
%       \label{fig:traj02102019_SM01}
%       \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/02102019_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj02102019_SM02}
%        \caption{}
%    \end{subfigure}
%    \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{02102019}}
%    \label{fig:traj02Ottobre}
%\end{figure*}


%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp01_SM01_trajAndProfit.eps}
%\label{fig:trend01}
%       \label{fig:traj04102019_SM01}
%       \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp01_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_SM02}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp02_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp2_SM01}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp02_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp2_SM02}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp03_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp3_SM01}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp03_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp3_SM02}
%        \caption{}
%    \end{subfigure}
%    \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{04102019}}
%    \label{fig:traj04Ottobre}
%\end{figure*}
%
%\begin{figure*}[!h]
%    \centering
%\begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp04_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp4_SM01}
%        \caption{}
%    \end{subfigure}
%                \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/04102019_exp04_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp4_SM02}
%        \caption{}
%    \end{subfigure}
%        \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{04102019}}
%    \label{fig:traj04Ottobre_bis}
%\end{figure*}
%
%\begin{figure*}[!h]
%    \centering
%\begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/09102019_exp01_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp2_SM01}
%        \caption{}
%    \end{subfigure}
%                \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/09102019_exp01_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp2_SM02}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/09102019_exp03_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp3_SM01}
%        \caption{}
%    \end{subfigure}
%                \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/09102019_exp03_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj04102019_exp3_SM02}
%        \caption{}
%    \end{subfigure}
%        \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{09102019}}
%    \label{fig:traj09Ottob}
%\end{figure*}
%
%
%\begin{figure*}[!h]
%    \centering
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp02_SM01_trajAndProfit.eps}
%\label{fig:trend01}
%       \label{fig:traj11102019_SM01}
%       \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp02_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj11102019_SM02}
%        \caption{}
%    \end{subfigure}
%    \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp03_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj11102019_exp2_SM01}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp03_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj11102019_exp2_SM02}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp05_SM01_trajAndProfit.eps}
%        \label{fig:fig:traj11102019_exp3_SM01}
%        \caption{}
%    \end{subfigure}
%        \begin{subfigure}[b]{0.49\textwidth}
%\includegraphics[width=1\textwidth,trim={0cm 0cm 0cm 0cm},clip]{/capsloc_res/11102019_exp05_SM02_trajAndProfit.eps}
%        \label{fig:fig:traj11102019_exp3_SM02}
%        \caption{}
%    \end{subfigure}
%    \caption{\small Mean average error for profitable \ac{CP} for the dataset \texttt{11102019}}
%    \label{fig:traj11Ottobre}
%\end{figure*}


The performance of all the experiments included in Table \ref{tab:experimentTable} are reported for \texttt{SM01} and \texttt{SM02} in Table \ref{tab:resSM01} and Table \ref{tab:resSM02}, respectively. 
It is worth mentioning that, despite of the high variability of the scenarios (different environmental conditions, baseline lengths, relative dynamics), the statistical results presented in this chapter support the promising performance of the paradigm. According to the values reported in such a summary, the following considerations generally hold for this preliminary test campaign of the \ac{CAPS.loc} framework.

\subsubsection{Availability}
The average availability of the \ac{CP} across all the experiments was about 86.94 \% and 81.23 \% of the whole test duration for \texttt{SM01} and \texttt{SM02} respectively. If we do not consider the set of experiments \texttt{g}-0x for which the device \texttt{SM02} experienced unexpected connectivity issues, the availability can be generally considered above the 87 \% for a pairwise \ac{CP} exploiting 4G connectivity. Let us remark that this metric is tightly related to the connectivity conditions and the network latencies which can be considerably different according to the network infrastructure and topology; The measurement combination was indeed excluded if the difference between raw data timestamps of the devices exceeded a given threshold (i.e. \SI{1}{\second}), according to the \ac{CAPS.loc} implementation described in Chapter \ref{ch:proofOfConcept}. Although it is fundamental to rely on low-latency communication networks to limit the amount of discarded data, QoS policies which could guarantee priority to the \ac{CRM}s are out of the scope of this work.

\subsubsection{Expected improvement in real scenarios}
By looking at all the statistics collected in Table \ref{tab:resSM01} and Table \ref{tab:resSM02}, the mean 2-D accuracy improvement provided by the \ac{CP} across al the experiments is about 40.7 \% for \texttt{SM01} and 43.5 \% for \texttt{SM02}. By considering the different conditions of each experiment, this experimental result suggests an expected value of the accuracy improvement (in case of profitable conditions) for a single collaborative contribution in poor satellite visibility (\texttt{g-06} is not considered in this average) and mild-urban environment. Despite of the considerable improvement provided by \ac{CP} during the profitable epochs, in most of the experiments the overall balancing between profitability and unprofitably was expected from the simulation results presented in Chapter \ref{ch:theoreticalResults} about single agent contribution. 



\section{Final remarks and further works}
\label{sec:furtherworks}

Despite of being a preliminary implementation, the \ac{CAPS.loc} results obtained in the experimental campaigns showed a great potential in terms of accuracy improvement, whenever the paradigm is profitable. For the sake of simplicity, the preliminary tests discussed in this chapter were conducted according to the pairwise configuration described in Section \ref{sub:setup}. The average performance of such a single agent \ac{CP} were expected to be around the 5-10 \% according to the simulation results obtained through realistic signals in Chapter \ref{ch:theoreticalResults}. According to the theoretical achievements presented in this thesis, an optimization of the \ac{GNSS}-based \ac{CP} and further exhaustive analysis of the \ac{CAPS.loc} are surely advisable for the future development. However, such an optimization step falls outside the scope of this experimental assessment. As guidelines for the next investigation, the following modifications are suggested to improve positioning and navigation performance. Further analysis are indeed mandatory to observe the behaviour of the collaboration and recompute the performance metrics according to different architectural blocks. Regarding the actual implementation of the \ac{CAPS.loc} paradigm the performance analysis can be extended through the following points:

\begin{itemize}
\itemsep0em
\item Replacement of functional blocks (i.e. \ac{CRU}, \ac{H-PVT}) with different \ac{GNSS}-based ranging algorithms and positioning algorithm, according to the proposals of Chapter \ref{ch:rangingAlgorithms} and Chapter \ref{ch:navFilters}, respectively. 
\item Improving the estimation of the inter-epochs time misalignment through accumulated statistics and continuous monitoring of agent's independent clocks.
\item Implementation of multi-constellation/multi-frequency algorithms both for the coarse fix and the computation of inter-agent distances
\item Implementation of advanced Bayesian estimation for inter-agent distance computation
\item Implementation of advanced features for the joint censoring of \ac{GNSS} measurements and collaborative contributions when they are poorly effective to the refinement of the positioning estimation.
\item Limit the cross-cooperation by determining aiding-target collaborative pairs runtime, according to \ac{CRLB} and theoretical findings presented in Chapter \ref{ch:theoreticalResults}.
\end{itemize} 

Regarding the system architecture and the investigated scenarios:

\begin{itemize}
\itemsep0em
\item Comparison of availability performance with different network architectures (e.g. IEEE Wi-Fi 802.11x, 5G). 
\item Evaluate multi-agent cooperation including and optimizing multiple collaborative contributions runtime. 
\item Evaluate multi-agent statistics in crowded areas both for pedestrian and vehicular navigation
\end{itemize} 

These aspects are subordinated to the development of future \ac{CPA} releases. An extended set of configuration parameter will be hence suitable for widening the analysis of the framework to different algorithms and optimization strategies.



%\chapter{Conclusions}
%
%% ********************** Define Graphics Path ********************
%    \graphicspath{Chapter9/Figures}
%
%The \ac{GNSS} has been mostly considered as a reliable standalone technologies characterized by critical limitations due to the intrinsic nature of the system. A lot of effort has been focused on the improvement of this technology at any system level (ground segment, space segment, augmentation systems). 
%
%\ac{CP} has been conceived in the last decades as a paradigm for the localization of navigating users relying on the exchange of independent information among them [REFERENCES]. The basic approach is addressed to the estimation of relative position and the sharing of these data among networked agents through ad-hoc communication channels or permanent network infrastructures. 
%
%As discussed in the previous chapter of this thesis, \ac{GNSS} absolute positioning can benefit from the integration of external observation of the state of a given agent (i.e. position, heading) or transmitting inter-vehicular measurements, which can be obtained directly (i.e. UWB, Lidar, Sonar), or in a cooperative fashion. Collaborative or cooperative baseline computation solutions have been hence investigated to overcome the Line-of-Sight (LoS) limitation in the sensing of the surrounding environment through direct measurements. In the conceived framework the focus is on collaborative techniques, which uniquely exploit the pieces of information involved in the GNSS-based positioning process, without the need of additional sensors. 
%
%A key aspect in the cooperative positioning of swarm of agents is the computation of inter-agent ranges, which can be used as auxiliary information to mutually improve localization performance (Nilsson et al 2013). Most of the literature on the topic provides integration solution of existing radio/visual ranging technologies. Although such hardware-based solutions are effective for the purpose, a set of research contributions has shown that the exchange of \ac{GNSS} measurements and navigation data can be considered to estimate terrestrial collaborative range measurements between networked receivers, as discussed in \ref{ch:rangingAlgorithms}. A set of techniques has been hence investigated to determine the distance between cooperating agents by exchanging GNSS-only data and applying robust algorithms to solve for the inter-vehicle distance (Tahir et al 2018). The main methods for range estimation through GNSS observables are summarized in \textbf{Table 4} with the minimum number of satellite that must be observed by cooperating agents.
%
%All the techniques are based on the evaluation of the modulus of a displacement vector between pairs of cooperating agents. Due to the nature of the problem, the algorithms require three or more equation thus, three or more shared satellites. Since this condition cannot be easily satisfied in dense urban scenarios, a less demanding collaborative strategy has been recently proposed to overcome the limited
%availability of shareable satellites. The Inter-Agent Range discussed in (Minetto et al 2017, Minetto and Dovis 2018) relies on the cooperation between pairs of GNSS receivers exploiting even one only shared satellite. As shown in Figure 21 the sharing of information is performed along with the motion of the two independent systems relying on predictive navigation stages tailored to compensate for time
%inconsistency of data introduced by the latency of the communication channel.
%
%Multiple inter-agent measurements can be used to improve the estimation of the distance w.r.t. a collaborating agent before it is integrated in a further navigation algorithm. The goodness of inter-agent range measurements directly affects the quality of the positioning information in a potential hybrid localization algorithm (i.e. legacy satellite pseudorange and terrestrial range are used) such as the navigation filters presented in Chapter \ref{ch:navFilters}. The measurement can be tightly integrated through Least Mean Square-based algorithm for Position-Time-Velocity solution, which is suitable for static applications. Alternatively, the integration can be afforded by a set of popular techniques for range integration in positioning algorithm in dynamic scenarios (i.e. Extended Kalman Filter or EKF, Unscented Kalman Filter or UKF, Particle Filter). A possible integration scheme that exploits an EKF-based integration is presented in Figure 22. Such architecture is effective in particular for the mitigation of GNSS positioning service unavailability, as it is rather frequent in urban scenarios due to the lack of a sufficient number of satellites. In order to cope with the constraint of the communication infrastructure, the Roundtrip-Time (RTT) of the communication
%link is considered by the predictive stage on the left, which estimates the position relying on the dynamics model and on all the available pseudorange measurements.
